#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	CGI
%define		pnam	Emulate-PSGI
%include	/usr/lib/rpm/macros.perl
Summary:	CGI::Parse::PSGI - Parses CGI output and creates PSGI response out of it
#Summary(pl.UTF-8):	
Name:		perl-CGI-Emulate-PSGI
Version:	0.15
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/CGI/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3f0b6ae68d1e84e66ea8eb629e569284
# generic URL, check or change before uncommenting
#URL:		http://search.cpan.org/dist/CGI-Emulate-PSGI/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-HTTP-Message
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
  use CGI::Parse::PSGI qw(parse_cgi_output);

  my $output = YourApp->run;
  my $psgi_res = parse_cgi_output(\$output);



# %description -l pl.UTF-8
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/CGI/Emulate
%{perl_vendorlib}/CGI/Emulate/*.pm
%dir %{perl_vendorlib}/CGI/Parse
%{perl_vendorlib}/CGI/Parse/PSGI.pm
%{_mandir}/man3/*
%changelog
* Thu Mar 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-CGI-Emulate-PSGI.git;a=log;h=master

* Thu Mar 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> adb8d07
- up to 0.15

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> bc9c626
- up to 0.14

* Wed Jul 06 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f459fb0
- up to 0.12

* Wed May 11 2011 aredridel <aredridel@pld-linux.org> cf49b4d
- added

